summaryrefslogtreecommitdiffstats
path: root/debian/bash.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:38:57 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:38:57 +0000
commitb0a54c0318f73e8824c1299900286d1d7dcade3a (patch)
tree40130abdf474665f42bf01fab6e42ab4a7e1e1c5 /debian/bash.postinst
parentAdding upstream version 5.2.15. (diff)
downloadbash-b0a54c0318f73e8824c1299900286d1d7dcade3a.tar.xz
bash-b0a54c0318f73e8824c1299900286d1d7dcade3a.zip
Adding debian version 5.2.15-2.debian/5.2.15-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/bash.postinst')
-rw-r--r--debian/bash.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/bash.postinst b/debian/bash.postinst
new file mode 100644
index 0000000..ceef0dc
--- /dev/null
+++ b/debian/bash.postinst
@@ -0,0 +1,19 @@
+#! /bin/bash
+
+set -e
+
+# This should never happen.
+if [ ! -e /bin/sh ]; then
+ ln -s bash /bin/sh
+fi
+
+update-alternatives --install \
+ /usr/share/man/man7/builtins.7.gz \
+ builtins.7.gz \
+ /usr/share/man/man7/bash-builtins.7.gz \
+ 10 \
+ || true
+
+#DEBHELPER#
+
+exit 0